# Qt5 package conflicts which this one and is packaged as qimageblitz5
# The runtime libs can be installed next to each other though

%define oname   qimageblitz
%define major   4
%define svnrev  svn1480778

Name:           qimageblitz
Epoch:          1
Version:        0.0.6
Release:        %mkrel 10.%{svnrev}.2
Summary:        Graphics manipulation library for Qt 4
Group:          Graphics/Utilities
License:        BSD
Url:            http://www.kde.org
# Source0:        ftp://ftp.kde.org/pub/kde/stable/qimageblitz/%{name}-%{version}.tar.bz2
# From KDE SVN: https://websvn.kde.org/trunk/kdesupport/qimageblitz/
Source0:        %{oname}-%{version}+%{svnrev}.tar.xz
# From https://www.mail-archive.com/kde-core-devel@kde.org/msg20678.html
Patch0:         qimageblitz-0.0.6-kde-qt5-coinstall.patch

BuildRequires:  cmake

%description
Qimageblitz is a graphics manipulation library.

%files 
%{_bindir}/blitztest

#--------------------------------------------------------------------

%define libname %mklibname %{oname} %{major}

%package -n %{libname}
Summary:        Qimageblitz runtime library for Qt 4
Group:          System/Libraries

%description -n %{libname}
Qimageblitz runtime library.

%files -n %{libname}
%{_libdir}/lib%{oname}.so.%{major}{,.*}

#--------------------------------------------------------------------

%define devname %mklibname -d %{name}

%package -n %{devname}
Summary:        Development files for %{name} on Qt 4
Group:          Development/KDE and Qt
Requires:       %{libname} = %{epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Conflicts:      %{_lib}qimageblitz5-devel

BuildRequires:  qt4-devel

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%{_libdir}/lib%{oname}.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{oname}.pc

#--------------------------------------------------------------------

%prep
%autosetup -n %{oname}-%{version}+%{svnrev} -p1

%build
%cmake_qt4 -DQT4_BUILD=ON
%make_build

%install
%make_install -C build


%changelog
* Sat Jan 21 2017 akien <akien> 1:0.0.6-10.svn1480778.2.mga6
+ Revision: 1082756
- Fix wrong provides
- Update to current SVN snapshot with Qt5 support
- Adapt spec file for upcoming cloned qimageblitz5 SRPM
- Fix license, it is BSD, not GPL

* Fri Feb 05 2016 umeabot <umeabot> 1:0.0.6-9.mga6
+ Revision: 938413
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.0.6-8.mga5
+ Revision: 743937
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.0.6-7.mga5
+ Revision: 688485
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.0.6-6.mga4
+ Revision: 517833
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.0.6-5.mga3
+ Revision: 379832
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Mon Oct 15 2012 fwang <fwang> 1:0.0.6-4.mga3
+ Revision: 305922
- update rpm group

  + mikala <mikala>
    - Remove obsoletes
    - Remove pkconfig as BR
    - Remove %%defattr() & %%clean section
    - Fix requires in -devel pacakge
    - Fix URL & SOURCE tag
    - Clean spec

* Sat Jan 15 2011 mikala <mikala> 1:0.0.6-3.mga1
+ Revision: 19276
- Remove mdk macros
- Remove BuildRoot
- Add a macro for major following mageia kde's spec policy
- imported package qimageblitz

